/*
  a basic player
  Copyright (C) 1998  Martin Vogt

  This program is free software; you can redistribute it and/or modify
  it under the terms of the GNU General Public License as published by
  the Free Software Foundation.

  For more information look at the file COPYRIGHT in this package

 */


#include "player2.h"



Player::Player() {
  audioDevice = new AudioDeviceLinux("/dev/dsp",true);
  audioDeviceRT = new RealTimeAudioDevice(audioDevice);
  
  
  //aDevice=audioDevice;            // change these to test
  aDevice=audioDeviceRT;
  
  aDevice->openDevice();

}


Player::~Player() {
  delete audioDevice;
  delete audioDeviceRT;
  delete timerDevice;
}



OutputDevice* Player::getInternalDeviceTree() {
  return aDevice;
}


