/*
  a nicer widget for the decoder control
  Copyright (C) 1998  Martin Vogt

  This program is free software; you can redistribute it and/or modify
  it under the terms of the GNU General Public License as published by
  the Free Software Foundation.

  For more information look at the file COPYRIGHT in this package

 */




#include "decoderWidget.h"





DecoderWidget::DecoderWidget( QWidget *parent=0, 
			      const char *name=0 ): GuiDecoder (parent,name) {
  
  setMinimumSize( sizeHint() );
  setMaximumSize( sizeHint() );

}


DecoderWidget::~DecoderWidget() {
}



QSize DecoderWidget::sizeHint () {
  QSize size(100,20);
  return size;
}


void DecoderWidget::buildGui() {
  KIconLoader *loader = kapp->getIconLoader();
  layout = new QBoxLayout( this, QBoxLayout::LeftToRight, 1 );


  ADD_BUTTON( pauseButton, layout, pause(),  "kmpg_pause_off.xpm" );
  ADD_BUTTON( playButton, layout, play(),    "kmpg_play_off.xpm" );
  ADD_BUTTON( stopButton, layout, stop(),   "kmpg_stop_off.xpm" );


}


