
/*
  functions for an interface between a yafDecoder and the GNOME-emusic Interf.
  Copyright (C) 1998  Martin Vogt

  This program is free software; you can redistribute it and/or modify
  it under the terms of the GNU General Public License as published by
  the Free Software Foundation.

  For more information look at the file COPYRIGHT in this package

 */





#ifndef __YAF2EMUSIC_H
#define __YAF2EMUSIC_H






#include "rawtoemusic.h"




extern "C" {

extern int end_of_song;  
extern int end_song; 
extern int stop_song;
extern pthread_t player_thread;
extern pthread_mutex_t player_lock; 
                              

extern int setup_audio(int frequency, int stereo, 
		       int sign, int big, int sixteen);
extern void set_bitrate(int bit); 
extern void close_audio(void);
extern void flush_audio(void);
extern int parsebool(char *data);
extern int audio_play(char *buffer, int size);
	   }
                                                       

#endif
